
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Title:        WapAgent
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      (none)
 * @author Virgilio Pierini
 * @version 1.0
 */

public class Login extends HttpServlet {

  public void doGet(HttpServletRequest request, HttpServletResponse response)
  throws IOException, ServletException {

   response.setContentType("text/vnd.wap.wml");
   PrintWriter out=response.getWriter();
   out.println("<?xml version=\"1.0\"?>");
   out.println("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\" \"http://www.wapforum.org/DTD/wml_1.1.xml\">");
   out.println("<wml>");
   out.println("<card id=\"Login\" title=\"Login\">");
   out.println("<p>Login:<br/>");
   out.println("<input type=\"text\" name=\"username\"/><br/>");
   out.println("<do type=\"accept\" label=\"Submit\">");
   out.println("<go href=\"/login\" method=\"post\">");
   out.println("<postfield name=\"username\" value=\"$username\"/>");
   out.println("</go>");
   out.println("</do>");
   out.println("</p>");
   out.println("</card>");
   out.println("</wml>");

   out.close();
  }

  public void doPost(HttpServletRequest request, HttpServletResponse response)
  throws IOException, ServletException {

   String username=request.getParameter("username");
   if (username==null) username=""; //per semplicit

   response.setContentType("text/vnd.wap.wml");
   PrintWriter out=response.getWriter();
   out.println("<?xml version=\"1.0\"?>");
   out.println("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\" \"http://www.wapforum.org/DTD/wml_1.1.xml\">");
   out.println("<wml>");
   out.println("<card id=\"Welcome\" title=\"Welcome\">");
   out.println("<p>");

   if (username.equals("")) { out.println("<big>Invalid Username!</big>"); }
   else {
    out.print("Welcome<br/><big>");
    out.print(username);
    out.println("</big><br/>press to continue...");
    out.println("<do type=\"accept\" label=\"Submit\">");
    out.println("<go href=\"/risultati\">");
    out.println("<postfield name=\"username\" value=\""+username+"\"/>");
    out.println("</go>");
    out.println("</do>"); }

   out.println("</p>");
   out.println("</card>");
   out.println("</wml>");
   out.close();
  }

}
