
/**
 * Description:  Classe che gestisce gli IDentificativi delle ricerche
 * @author       Virgilio Pierini
 */

public class ResearchID {

  private int ID;

 /**
  * Inizializza il generatore di ID
  */

  public ResearchID() { ID=0; }


 /**
  * Algoritmo di generazione di ID unici
  * (implementazione elementare in quanto attualmente il progetto non prevede la persistenza dei risultati)
  * @return un nuovo ID
  */
  public int GenerateID() { return ++ID; }

}